Obter uma conexão descoberta
curl --request GET \
--url https://matcher.sandbox.lerian.net/v1/discovery/connections/{connectionId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://matcher.sandbox.lerian.net/v1/discovery/connections/{connectionId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://matcher.sandbox.lerian.net/v1/discovery/connections/{connectionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"configName": "<string>",
"databaseType": "<string>",
"status": "<string>",
"schemaDiscovered": true,
"lastSeenAt": "<string>"
}{
"code": "MTCH-0001",
"title": "Bad Request",
"message": "context not found",
"error": "<string>",
"details": {}
}{
"code": "MTCH-0001",
"title": "Bad Request",
"message": "context not found",
"error": "<string>",
"details": {}
}{
"code": "MTCH-0001",
"title": "Bad Request",
"message": "context not found",
"error": "<string>",
"details": {}
}{
"code": "MTCH-0001",
"title": "Bad Request",
"message": "context not found",
"error": "<string>",
"details": {}
}{
"code": "MTCH-0001",
"title": "Bad Request",
"message": "context not found",
"error": "<string>",
"details": {}
}Obter uma conexão descoberta
Use este endpoint para recuperar uma única conexão do Fetcher descoberta pelo seu identificador interno.
GET
/
v1
/
discovery
/
connections
/
{connectionId}
Obter uma conexão descoberta
Autorizações
Autenticação por Bearer token (formato: "Bearer {token}")
Cabeçalhos
A unique identifier for tracing the request across services.
Parâmetros de caminho
The unique identifier of the connection.
Resposta
Detalhes da conexão
Uma conexão de banco de dados do Fetcher descoberta
Identificador interno da conexão
Nome da configuração do Fetcher que gerou esta conexão
Tipo de banco de dados (ex.: postgres, mysql)
Status atual da conexão
Indica se o esquema de tabela foi descoberto para esta conexão
Timestamp em que esta conexão foi observada pela última vez no Fetcher
Esta página foi útil?
⌘I

